html { height: 100%; }

body {
  margin: 0;

  background: black;
  height: 100%;
  width: 100vw;

  display: flex;
  align-items: center;
  justify-content: center;
}

.slider-container {
  width: 100%;
  height: 100%;

  position: relative;
  display: flex;
  align-items: center;
  justify-content: center; 
  flex-direction: column;
}

h1 {
  position: absolute;
  z-index: 10;
  color: white;
  left: auto;
  right: auto;
}

.img {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;

  width: inherit;
  height: inherit;

  object-fit: cover;
  object-position: center;
}

.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: all 500ms ease;
}

.slider-btn {
  height: 5rem;
  width: 5rem;
  position: absolute;
  z-index: 10;
  margin: 1rem;
  
  font-size: 3rem;
  background-color: transparent;
  color: rgba(255, 255, 255, 0.6);
  border: none;
  border-radius: 10px;
  cursor: pointer;
  
  transition: all 300ms ease;
}
.slider-btn:focus {
  outline: none;
}
.slider-btn:hover {
  text-shadow: 2px 4px 5px rgba(0, 0, 0, 0.274);
  color: rgb(255, 255, 255);
  transform: scale(1.2);
}

.next-btn {
  right: 0;
}
.prev-btn {
  left: 0;
}

.indicator-container {
  height: 2rem;
  position: absolute;
  bottom: 0;
  
  z-index: 10;
  
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  margin: auto;
  margin-bottom: 5%;
}

.indicator {
  height: 2rem;
  width: 2rem;
  margin: 1rem;
  
  border-radius: 50%;
  background-color: white;
  opacity: 0.3;
  
  transition: all 700ms ease;
}

